[beast/temp-rc1] mkrelease.sh: allow skipping of clean working tree check



commit dfd11d2c126ab9af8844b233c5b3a07be1f9393c
Author: Tim Janik <timj gnu org>
Date:   Mon Jul 29 21:13:44 2013 +0200

    mkrelease.sh: allow skipping of clean working tree check

 mkrelease.sh |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)
---
diff --git a/mkrelease.sh b/mkrelease.sh
index 47a527c..241b83d 100755
--- a/mkrelease.sh
+++ b/mkrelease.sh
@@ -258,8 +258,10 @@ done
   }
   # release checks
   msg "Checking for a clean $VERSION working tree..."
-  test 0 = `git diff HEAD | wc -l` && ok \
-    || fail "note: use 'git diff HEAD' to view working tree changes"
+  skipop "clean" || {
+    test 0 = `git diff HEAD | wc -l` && ok \
+      || fail "note: use 'git diff HEAD' to view working tree changes"
+  }
   msg "Checking untagged revision $VERSION..."
   RNAME=`! git rev-parse --verify -q "$VERSION"` && ok \
     || fail "note: a revision named '$VERSION' already exists: $RNAME" \


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]